C  ---------------------------------------------------------------------
C  ptml.h: Include file for the Parallel TML.
C  ---------------------------------------------------------------------
C  Maximum number of processors.
	PARAMETER ( MXPROC = 100 )
C  Maximum number of minima.
	PARAMETER ( MXNM = 10000 )
C  Maximum number of sample points.
	PARAMETER ( MXNS = 500 )
C  Maximum number of nearest neighbors.
	PARAMETER ( MXNNN = 8 )
C  LP=.TRUE. enables informative printout. LP=.FALSE. disables it.
	LOGICAL LP
	PARAMETER ( LP = .FALSE. )
C
C  Maximum total points (minima + sample).
	PARAMETER ( MXNT = MXNM+MXNS )
C
C  Input file.
	CHARACTER*(*) INFIL
	PARAMETER ( INFIL = 'TML.DAT' )
	CHARACTER*(*) CMDFIL
	PARAMETER ( CMDFIL = 'command' )
C
C  Common blocks.
	COMMON /PTMLI1/ NOD, NOF, ITTHR, NEARN, NSAMPL, IREST, NDUMP
	COMMON /PTMLI2/ HEAL, SIGMA, COVTHR, XDEPS, FDEPS, GDEPS
	CHARACTER*20 FINP, FOUT, FMIN, POIFIL, INDIR
	COMMON /PTMLI3/ FINP, FOUT, FMIN, POIFIL, INDIR
C  ---------------------------------------------------------------------
